Skip to navigation

SQ_DelSkill

View as Markdown

Deletes a skill and detaches it from agents.

Example request: Delete the skill with id = 5.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

sq_skill_idlist of integersRequired

List of skill IDs separated by semicolons (;). Use 'all' to delete all the skills

sq_skill_namelist of stringsOptional

List of skill names separated by semicolons (;). Can be used instead of sq_skill_id

Response

Successful response
resultintegerOptional
Returns 1 if the request has been completed successfully